﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<%@ Register Src="~/GridPager.ascx" TagName="GridPager" TagPrefix="gp" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    
    <ajaxToolkit:ToolkitScriptManager ID="ScriptManager1" runat="server"
        ScriptMode="Release" CombineScripts="true" CompositeScript-ScriptMode="Release"
        EnableScriptGlobalization="true" EnablePartialRendering="true">
        <CompositeScript>
            <Scripts>
                <asp:ScriptReference Path="~/scripts/grid.js" />
            </Scripts>
        </CompositeScript>
    </ajaxToolkit:ToolkitScriptManager>
    
    <div>
        <ig:WebDataGrid ID="Grid" runat="server" AutoGenerateColumns="false" EnableAjax="false"
            EnableDataViewState="false" Width="760px">
            <Columns>
                <ig:BoundDataField DataFieldName="Name" Key="Name">
                    <Header Text="Name" />
                </ig:BoundDataField>
            </Columns>
            <Behaviors>
                <ig:ColumnMoving Enabled="true" DragStyle="Slide" />
                <ig:ColumnResizing Enabled="true">
                    <ColumnSettings>
                        <ig:ColumnResizeSetting EnableResize="true" />
                    </ColumnSettings>
                </ig:ColumnResizing>
                <ig:Paging Enabled="true" PageSize="2" PagerAppearance="Both">
                    <PagerTemplate>
                        <gp:GridPager ID="GridPager" runat="server" />
                    </PagerTemplate>
                </ig:Paging>
            </Behaviors>
        </ig:WebDataGrid>
    </div>
    
    </form>
</body>
</html>
