﻿using System;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        SampleData[] data = new[]
                                {
                                    new SampleData {Name = "L1"},
                                    new SampleData {Name = "L2"},
                                    new SampleData {Name = "L3"},
                                    new SampleData {Name = "L4"},
                                };
        
        Grid.DataSource = data;
        Grid.DataBind();
    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        GridPager gp = Grid.Behaviors.Paging.PagerTemplateContainer.FindControl("GridPager") as GridPager;
        if (gp != null)
            gp.SetContext(Grid.ClientID, Grid.Behaviors.Paging.PageIndex, Grid.Behaviors.Paging.PageCount,
                          Grid.Behaviors.Paging.PageSize);
    }
}
