﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="GridPager.ascx.cs" Inherits="GridPager" %>
<asp:ScriptManagerProxy runat="server" ID="ScriptManager1" />

<table style="width: 100%">
    <tr>
        <td style="width: 35%; text-align: left; white-space: nowrap">
            <asp:Panel runat="server" ID="MenuLabel">
                <asp:Localize runat="server" Text="Personalisieren" />
            </asp:Panel>
            <ajaxToolkit:HoverMenuExtender runat="server" ID="MenuExtender" TargetControlID="MenuLabel"
                PopupPosition="Bottom" PopupControlID="MenuPopupPanel" />
        </td>
        <td style="width: 15%; text-align: right; white-space: nowrap">
            <asp:HyperLink runat="server" href="#" ID="PreviousPageBtn" Text="Zur&uuml;ck" />
            <asp:Label runat="server" ID="PreviousPageLbl" Text="Zur&uuml;ck" Visible="false" />
            &nbsp;
        </td>
        <td style="width: 10%; text-align: center; white-space: nowrap">
            <%= PageIndex+1 %>
            <asp:Literal runat="server" Text=" von " />
            <%= PageCount %>
        </td>
        <td style="width: 15%; text-align: left; white-space: nowrap">
            &nbsp;
            <asp:HyperLink runat="server" href="#" ID="NextPageBtn" Text="Vor" />
            <asp:Label runat="server" ID="NextPageLbl" Text="Vor" Visible="false" />
        </td>
        <td style="width: 10%; text-align: right; white-space: nowrap">
            <asp:Panel runat="server">
                <asp:TextBox runat="server" ID="PageNrBox" Style="vertical-align: top; width: 40px;"
                    MaxLength="9" />
                <ajaxToolkit:FilteredTextBoxExtender runat="server" TargetControlID="PageNrBox" FilterType="Custom"
                    ValidChars="0123456789" />
                <asp:HyperLink runat="server" href="#" ID="GoToPageBtn" Text="&gt;" />
            </asp:Panel>
        </td>
    </tr>
</table>

<table runat="server" id="MenuPopupPanel" cellpadding="0" cellspacing="0" style="display: none; text-align: left; border-collapse: collapse">
    <tr>
        <td>
            <asp:Localize runat="server" Text="Anzahl Zeilen" />
            <asp:TextBox runat="server" ID="RowsTextBox" MaxLength="4" Width="3em" Style="text-align: right" />
            <ajaxToolkit:FilteredTextBoxExtender runat="server" TargetControlID="RowsTextBox"
                FilterType="Custom" ValidChars="0123456789" />
            <asp:LinkButton runat="server" ID="ChangePageSizeBtn"
                OnClick="ChangePageSizeButton_Clicked" 
                Text="&Auml;ndern" />
        </td>
    </tr>
</table>
